routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

//Products
//getAllProducts
Route::get('/products', [\App\Http\Controllers\ProductController::class, 'products'])->name('products');

//DeleteProduct
Route::get('/products/{product}/delete', [\App\Http\Controllers\ProductController::class, 'delete'])->name('products.delete');

//InsertProduct
Route::get('/products/create', function (){
    return view('create');
});
Route::post('/products/insert', [\App\Http\Controllers\ProductController::class, 'insert'])->name('products.insert');
//Products

//Clients
//getAllClients
Route::get('/clients', [\App\Http\Controllers\ClientsController::class, 'clients'])->name('clients');

//DeleteClient
Route::get('/clients/{clients}/delete', [\App\Http\Controllers\ClientsController::class, 'delete'])->name('clients.delete');

//InsertClient
Route::get('/clients/create', function (){
    return view('createclient');
});
Route::post('/clients/insert', [\App\Http\Controllers\ClientsController::class, 'insert'])->name('clients.insert');
//Clients

//Invoices
//CreateInvoices
Route::get('/invoice/create', function (){
    return view('invoiceinsertion');
});
Route::post('/invoice/insert', [App\Http\Controllers\ProductController::class, 'invoice'])->name('invoice.invoice');

//Invoices

//Suscriptions
//getSuscriptions
Route::get('/suscriptions', [App\Http\Controllers\SuscriptionController::class, 'suscription'])->name('suscriptions');

//buySuscription
Route::post('/suscriptions/buy', [App\Http\Controllers\SuscriptionController::class, 'buy'])->name('suscriptions.buy');
require __DIR__.'/auth.php';

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\View\View;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     */
    public function render(): View
    {
        return view('layouts.app');
    }
}

resources/views/clients.blade.php
 <!-- Waste no more time arguing what a good man should be, be one. - Marcus Aurelius -->

 <div>
     <div>
         <h1>Clients Actuals</h1>
         @foreach($clients as $client)
             <div>Id: {{$client->id}} | Name: {{$client->name}} | Email: {{$client->email}} | Phone: {{$client->phone}} | Address: {{$client->address}}</div>
             <button type="submit" onclick="location.href='{{url('/clients/'.$client->id.'/delete')}}'">Esborra!</button>
         @endforeach
     </div><br/>
 </div>

resources/views/create.blade.php
 <!-- Be present above all else. - Naval Ravikant -->

 <div>
     <h1>Inserció De Productes</h1>
     <form action="{{route('products.insert')}}" method="post">
         @csrf
         <input type="text" id="name" name="name" placeholder="Name"><br/><br/>
         <input type="number" id="value" name="value" placeholder="Value"><br/><br/>
         <input type="number" id="quantity" name="quantity" placeholder="Quantity"><br/><br/>
         <input type="text" id="desc" name="desc" placeholder="Description"><br/><br/>
         <button type="submit">Crea!</button>
     </form>
 </div>

resources/views/createclient.blade.php
<!-- I begin to speak only when I am certain what I will say is not better left unsaid. - Cato the Younger -->

<div>
    <h1>Inserció De Clients</h1>
    <form action="{{route('clients.insert')}}" method="post">
        @csrf
        <input type="text" id="name" name="name" placeholder="Name"><br/><br/>
        <input type="text" id="value" name="email" placeholder="Email"><br/><br/>
        <input type="number" id="quantity" name="phone" placeholder="Phone"><br/><br/>
        <input type="text" id="desc" name="address" placeholder="Address"><br/><br/>
        <button type="submit">Crea!</button>
    </form>
</div>

resources/views/dashboard.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                    {{ __("You're logged in!") }}
                </div>
            </div>
        </div>
    </div>
</x-app-layout>

resources/views/invoiceinsertion.blade.php
<div class="container">
    <h1>Creació de Invoices</h1><br>
    <form action="{{route('invoices.store')}}" method="POST">
        @csrf
        <div>
            <label for="client_id">Client:</label>
            <select name="client_id" id="client_id" required>
                @foreach($clients as $client)
                    <option value="{{$client->id}}">{{$client->name}}</option>
                @endforeach
            </select>
        </div>
        <br>
        <div>
            <h2>Productes:</h2>
            <br>
            @foreach($products as $product)
                <div>
                    <label>{{ $product->name }} ({{ $product->value }}€):</label>
                    <input type="number" name="products[{{ $product->id }}][quantity]" min="0" placeholder="Quantity">
                    <input type="hidden" name="products[{{ $product->id }}][price]" value="{{ $product->value }}">
                </div>
            @endforeach
        </div>
        <br>
        <div>
            <button type="submit">Crea!</button>
        </div>
    </form>
</div>

resources/views/products.blade.php
<div>
    <div>
        <h1>Productes Actuals</h1>
        @foreach($products as $product)
            <div>Id: {{$product->id}} | Name: {{$product->name}} | Value: {{$product->value}} | Quantity: {{$product->quantity}} | Description: {{$product->description}}</div>
            <button type="submit" onclick="location.href='{{url('/products/'.$product->id.'/delete')}}'">Esborra!</button>
        @endforeach
    </div><br/>
</div>

resources/views/suscriptions.blade.php
<div>
    <div>
        <h1>Plans de suscripció</h1>
        @foreach($suscriptions as $suscription)
            <div>Id: {{$suscription->id}} | Type: {{$suscription->type}} | Value: {{$suscription->value}} | Description: {{$suscription->description}} | Discount: {{$suscription->discount}}</div>
            <button type="submit" onclick="location.href='{{url('/suscriptions/buy')}}'">Compra!</button>
        @endforeach
    </div><br/>
</div>

resources/views/test.blade.php
<div>
    <p>An unexamined life is not worth living. - Socrates</p>
</div>